Source: mimepull
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 junit,
 libmaven-bundle-plugin-java,
 libsvnkit-java,
 maven-debian-helper (>= 2.1)
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/java-team/mimepull.git
Vcs-Browser: https://salsa.debian.org/java-team/mimepull
Homepage: https://javaee.github.io/metro-mimepull/

Package: libmimepull-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Description: Pull API for parsing MIME messages
 Mimepull provides a streaming API to access attachments parts in a MIME
 message. It's designed to parse large MIME messages that couldn't be loaded
 into memory. MIME message parsing is done using pull-parsing, much similar
 to StAX in XML world. The MIME parts are constructed lazily, and parsing
 is triggered by applications while reading the attachment parts. The API
 provides various configuration options to control parsing and storing of
 MIME parts.
